Get API Key
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/api-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Keys
Get API Key
Retrieve API key details
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
api-keys
/
{id}
Get API Key
Path Parameters
Organization ID
Project ID
API Key ID
Response
Returns the API Key object (without the key value).{
"id": "afd8012b-d81e-41c6-92cd-eed0c6cb3676",
"projectId": "70093272-90ef-43df-807b-b66dd0a0b322",
"name": "iOS Production App",
"status": "active",
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z",
"lastUsed": "2024-03-21T15:30:00Z",
"createdBy": "user456"
}
The key value is never returned after creation for security reasons. If you need the key value, create a new API key.
Error Responses
API Key Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "API key not found"
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const apiKey = await response.json();
console.log(`API key: ${apiKey.name} (${apiKey.status})`);
let url = URL(string: "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123")!
var request = URLRequest(url: url)
request.setValue("Bearer YOUR_JWT", forHTTPHeaderField: "Authorization")
let (data, _) = try await URLSession.shared.data(for: request)
let apiKey = try JSONDecoder().decode(APIKey.self, from: data)
val response = client.get("https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/api-keys/key123") {
header("Authorization", "Bearer YOUR_JWT")
}
val apiKey = response.body<APIKey>()
println("API key: ${apiKey.name}")
⌘I